## gdpdepay

gdpdepay — Depayloads GStreamer Data Protocol buffers

## Synopsis

                        GstGDPDepay;

## Object Hierarchy

      GObject
       +----GstObject
             +----GstElement
                   +----GstGDPDepay

## Description

This element depayloads GStreamer Data Protocol buffers back to deserialized buffers and events.

    1

    gst-launch -v -m filesrc location=test.gdp ! gdpdepay ! xvimagesink

This pipeline plays back a serialized video stream as created in the example for gdppay.

## Details

### GstGDPDepay

    typedef struct _GstGDPDepay GstGDPDepay;

Private gdpdepay element structure.

## See Also

gdppay